### Function

# Gtk TreeModelForeachFunc

#### Declaration

    gboolean
    TreeModelForeachFunc (
      GtkTreeModel* model,
      GtkTreePath* path,
      GtkTreeIter* iter,
      gpointer data
    )

#### Description [src]

Type of the callback passed to gtk_tree_model_foreach() to iterate over the rows in a tree model.

#### Parameters

`model` | `GtkTreeModel`
| The `GtkTreeModel` being iterated.
| The data is owned by the caller of the function.
`path` | `GtkTreePath`
| The current `GtkTreePath`.
| The data is owned by the caller of the function.
`iter` | `GtkTreeIter`
| The current `GtkTreeIter`.
| The data is owned by the caller of the function.
`data` | `gpointer`
| The user data passed to gtk_tree_model_foreach().

#### Return value

Returns: | `gboolean`
| `TRUE` to stop iterating, `FALSE` to continue.